Aide Mise à jour Module sur Drupal 8 avec composer

Bonjour,

Je cherche de l'aide pour mettre à jour mon module d'un drupal8

Paragraphs 8.x-1.7 Version recommandée :8.x-1.8

ma commande ne fonctionne pas et je n'y arrive pas

composer require "drupal/paragraphs":"8.x-1.8"

merci pour votre aide

Version de Drupal : 

Bonjour et merci pour ta réponse

en lançant ta commande j'ai cette erreur

Problem 1
- remove drupal/drupal No version set (parsed as 1.0.0)|remove drupal/core 8.7.1
- don't install drupal/core 8.7.1|remove drupal/drupal No version set (parsed as 1.0.0)
- don't install drupal/core 8.7.1|remove drupal/drupal No version set (parsed as 1.0.0)
- Installation request for drupal/drupal No version set (parsed as 1.0.0) -> satisfiable by drupal/drupal[No version set (parsed as 1.0.0)].
- Installation request for drupal/core (locked at 8.7.1, required as ~8.6.) -> satisfiable by drupal/core[8.7.1].

composer outdated
Do not run Composer as root/super user! See https://getcomposer.org/root for details
paragonie/random_compat v2.0.18 v9.99.99 PHP 5.x polyfill for random_bytes() and random_int() from PHP 7
phar-io/manifest 1.0.1 1.0.3 Component for reading phar.io manifest information from a PHP Archive (PHAR)
phar-io/version 1.0.1 2.0.1 Library for handling version information and constraints
phpdocumentor/type-resolver 0.4.0 0.7.1
phpunit/php-code-coverage 5.3.2 7.0.3 Library that provides collection, processing, and rendering functionality for PHP code coverage information.
phpunit/php-file-iterator 1.4.5 2.0.2 FilterIterator implementation that filters files based on a list of suffixes.
phpunit/php-timer 1.0.9 2.1.1 Utility class for timing
phpunit/php-token-stream 2.0.2 3.0.1 Wrapper around PHP's tokenizer extension.
phpunit/phpunit 6.5.14 8.1.5 The PHP Unit Testing framework.
phpunit/phpunit-mock-objects 5.0.10 6.1.2 Mock Object library for PHPUnit
Package phpunit/phpunit-mock-objects is abandoned, you should avoid using it. No replacement was suggested.
ralouphie/getallheaders 2.0.5 3.0.3 A polyfill for getallheaders.
sebastian/comparator 2.1.3 3.0.2 Provides the functionality to compare PHP values for equality
sebastian/diff 2.0.1 3.0.2 Diff implementation
sebastian/environment 3.1.0 4.2.2 Provides functionality to handle HHVM/PHP environments
sebastian/global-state 2.0.0 3.0.0 Snapshotting of global state
sebastian/resource-operations 1.0.0 2.0.1 Provides a list of PHP built-in functions that operate on resources
symfony-cmf/routing 1.4.1 2.1.0 Extends the Symfony2 routing component for dynamic routes and chaining several routers
symfony/console v3.4.27 v4.2.8 Symfony Console Component
symfony/css-selector v3.4.27 v4.2.8 Symfony CssSelector Component
symfony/debug v3.4.27 v4.2.8 Symfony Debug Component
symfony/dependency-injection v3.4.27 v4.2.8 Symfony DependencyInjection Component
symfony/event-dispatcher v3.4.27 v4.2.8 Symfony EventDispatcher Component
symfony/http-foundation v3.4.27 v4.2.8 Symfony HttpFoundation Component
symfony/http-kernel v3.4.27 v4.2.8 Symfony HttpKernel Component
symfony/phpunit-bridge v3.4.27 v4.2.8 Symfony PHPUnit Bridge
symfony/process v3.4.27 v4.2.8 Symfony Process Component
symfony/routing v3.4.27 v4.2.8 Symfony Routing Component
symfony/serializer v3.4.27 v4.2.8 Symfony Serializer Component
symfony/translation v3.4.27 v4.2.8 Symfony Translation Component
symfony/validator v3.4.27 v4.2.8 Symfony Validator Component
symfony/yaml v3.4.27 v4.2.8 Symfony Yaml Component
twig/twig v1.41.0 v2.10.0 Twig, the flexible, fast, and secure template language for PHP
typo3/phar-stream-wrapper v2.1.2 v3.1.2 Interceptors for PHP's native phar:// stream handling
zendframework/zend-diactoros 1.8.6 2.1.2 PSR HTTP Message implementations

C'est bizarre drupal/paragraphs devrait apparaitre dans la liste...
Je n'utilise pas ce module donc je ne peux pas tester.
Est-ce que la commande composer prohibits drupal/paragraphs:8.1.8 te retourne quelque chose ?

Désole, je ne vois pas comment t'aider

De mon côté, pour les install Drupal gérées via composer, j'utilise:
composer require drupal/nomdumodule pour installer les fichiers d'un module
composer update drupal/nomdumodule --with-dependencies pour mettre à jour le module
composer remove drupal/nomdumodule pour supprimer les fichiers d'un module(après avoir désinstallé le module via l'interface)

ok merci quand meme pour ton aide

Connais tu la commande pour lister tous mes modules installés?

mon composer.json

{
"name": "drupal/drupal",
"description": "Drupal is an open source content management platform powering millions of websites and applications.",
"type": "project",
"license": "GPL-2.0-or-later",
"require": {
"drupal/core": "~8.6.",
"composer/installers": "^1.0.24",
"webflo/drupal-core-require-dev":"~8.6.",
"wikimedia/composer-merge-plugin": "^1.4"
},
"replace": {
},
"minimum-stability": "dev",
"prefer-stable": true,
"config": {
"preferred-install": "dist",
"autoloader-suffix": "Drupal8"
},
"extra": {
"_readme": [
"By default Drupal loads the autoloader from ./vendor/autoload.php.",
"To change the autoloader you can edit ./autoload.php.",
"This file specifies the packages.drupal.org repository.",
"You can read more about this composer repository at:",
"https://www.drupal.org/node/2718229"
],
"merge-plugin": {
"include": [
"core/composer.json"
],
"recurse": true,
"replace": false,
"merge-extra": false
},
"installer-paths": {
"core": ["type:drupal-core"],
"modules/contrib/{$name}": ["type:drupal-module"],
"profiles/contrib/{$name}": ["type:drupal-profile"],
"themes/contrib/{$name}": ["type:drupal-theme"],
"drush/contrib/{$name}": ["type:drupal-drush"],
"modules/custom/{$name}": ["type:drupal-custom-module"],
"themes/custom/{$name}": ["type:drupal-custom-theme"]
}
},
"autoload": {
"psr-4": {
"Drupal\\Core\\Composer\\": "core/lib/Drupal/Core/Composer"
}
},
"scripts": {
"pre-autoload-dump": "Drupal\\Core\\Composer\\Composer::preAutoloadDump",
"post-autoload-dump": "Drupal\\Core\\Composer\\Composer::ensureHtaccess",
"post-package-install": "Drupal\\Core\\Composer\\Composer::vendorTestCodeCleanup",
"post-package-update": "Drupal\\Core\\Composer\\Composer::vendorTestCodeCleanup",
"drupal-phpunit-upgrade-check": "Drupal\\Core\\Composer\\Composer::upgradePHPUnit",
"drupal-phpunit-upgrade": "@composer update phpunit/phpunit phpspec/prophecy symfony/yaml --with-dependencies --no-progress",
"phpcs": "phpcs --standard=core/phpcs.xml.dist --runtime-set installed_paths $($COMPOSER_BINARY config vendor-dir)/drupal/coder/coder_sniffer --",
"phpcbf": "phpcbf --standard=core/phpcs.xml.dist --runtime-set installed_paths $($COMPOSER_BINARY config vendor-dir)/drupal/coder/coder_sniffer --"
},
"repositories": [
{
"type": "composer",
"url": "https://packages.drupal.org/8"
}
]
}

Je pense que cela est nécessaire.
Dans ce cas, composer show drupal/* ne doit rien te retourner.
De ce que j'ai testé, je n'utilise composer pour la gestion des modules QU'AVEC des installs réalisées via composer.

Tu devrais tester si spossible une nouvelle installation.
Si ce n'est pas possible, une piste pour "composeriser" un site existant sur l'excellent blog de FloconDeToile
https://www.flocondetoile.fr/blog/basculer-un-projet-drupal-8-existant-s...

Autre solution: ne rien gérer avec composer :)

pour info j'ai installé une version 8 de drush

Installation de Drush pour Drupal 8
1.1 Télécharger Drush version 8
wget https://github.com/drush-ops/drush/releases/download/8.2.3/drush.phar

1.2 Renommez votre fichier drush.phar par drush
cp drush.phar drush

1.3 Rendez exécutable le fichier
chmod +x drush

1.4 Faites en sorte de rendre drush globalement accessible pour tous les utilisateurs en l'ajoutant à votre $PATH
echo $PATH

1.5 Déplacer le fichier drush dans /usr/local/bin
mv drush /usr/local/bin/

1.6 Testez que drush fonctionne bien dans ce dossier
drush status

Après cette installation j'ai lancé un drush up

et tous mes modules sont à jour

Merci